Package org.eclipse.birt.report.model.api.elements.structures

# Class ParamBinding

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.api.elements.structures.ParamBinding

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

public class ParamBinding extends org.eclipse.birt.report.model.core.Structure
This class presents the parameter binding that bind data set input parameter to expression by position. Order of these bindings must match the order of parameter markers ("?"") in the statement. Each parameter binding has the following properties:

Parameter Name
  a parameter bing has a required parameter name to bind.
Expression
  associated an expression with a named input parameter.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXPRESSION_MEMBER`
Name of the parameter binding expression member.
`static final String`
`PARAM_BINDING_STRUCT`
Name of this structure.
`static final String`
`PARAM_NAME_MEMBER`
Name of the parameter name member.

## Constructor Summary

Constructors
Constructor
Description
`ParamBinding()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getExpression()`
Deprecated.
replaced by `getExpressionList()`
`List<Expression>`
`getExpressionList()`
Returns the list of the expressions.
`protected Object`
`getIntrinsicProperty(String propName)`
Returns the value of a structure property represented as a member variable.
`String`
`getParamName()`
Returns the parameter name of this binding.
`String`
`getStructName()`
Returns the name of the structure definition.
`StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.
`void`
`setExpression(String expression)`
Deprecated.
by `setExpression(List)`
`void`
`setExpression(List<Expression> values)`
Sets the binding expression list.
`protected void`
`setIntrinsicProperty(String propName, Object value)`
Sets the value of of a structure property represented as a member variable.
`void`
`setParamName(String name)`
Sets the parameter name of this binding.
`List`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Validate whether this structure is valid.

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PARAM_BINDING_STRUCT

public static final String PARAM_BINDING_STRUCT
Name of this structure. Matches the definition in the meta-data dictionary.

See Also:
  - Constant Field Values

### PARAM_NAME_MEMBER

public static final String PARAM_NAME_MEMBER
Name of the parameter name member.

See Also:
  - Constant Field Values

### EXPRESSION_MEMBER

public static final String EXPRESSION_MEMBER
Name of the parameter binding expression member.

See Also:
  - Constant Field Values

## Constructor Details

### ParamBinding

public ParamBinding()

## Method Details

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Returns:
  the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

protected Object getIntrinsicProperty(String propName)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Returns the value of a structure property represented as a member variable.

Specified by:
  `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - name of the property
Returns:
  the value of the property, or null if the property is not set

### setIntrinsicProperty

protected void setIntrinsicProperty(String propName, Object value)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Sets the value of of a structure property represented as a member variable.

Specified by:
  `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `propName` - the name of the property to set
  `value` - the property value

### getParamName

public String getParamName()
Returns the parameter name of this binding.

Returns:
  the parameter name of this binding

### setParamName

public void setParamName(String name)
Sets the parameter name of this binding.

Parameters:
  `name` - the parameter name to set

### getExpression

@Deprecated public String getExpression()
Deprecated.
replaced by `getExpressionList()`
Returns the binding expression.

Returns:
  the binding expression

### getExpressionList

public List<Expression> getExpressionList()
Returns the list of the expressions.

Returns:

### setExpression

@Deprecated public void setExpression(String expression)
Deprecated.
by `setExpression(List)`
Sets the binding expression.

Parameters:
  `expression` - the expression to set

### setExpression

public void setExpression(List<Expression> values)
Sets the binding expression list.

Parameters:
  `values` - the list of expressions to set

### validate

public List validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Validate whether this structure is valid. The derived class should override this method if semantic check is needed. The each error is the instance of `PropertyValueException`.

Overrides:
  `validate` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `module` - the module
  `element` - the element contains this structure
Returns:
  the semantic error list

### handle

public StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Specified by:
  `handle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.